/* MENÚ LATERAL */


/* Ajuste Tamaño Ancho */
.aside {
 width: 225px;
}

@media (min-width: 992px) {

.aside-enabled .header.header-fixed { left: 225px; }
.aside-enabled.subheader-fixed .subheader { left: 225px; }
.aside-fixed .wrapper { padding-left: 225px; }
.aside-fixed.aside-minimize.aside-minimize-hover .aside { width: 225px; }

.header-fixed.aside-minimize .header    { left: 70px !important; }
.header-fixed.aside-minimize .subheader { left: 70px !important; }

.container, .container-fluid, .container-lg, .container-md, .container-sm, .container-xl, .container-xxl { padding: 0 13px; }
.content { padding: 13px 0; }
.header-fixed.subheader-fixed.subheader-enabled .wrapper { padding-top: 118px; }
.header-fixed.subheader-fixed .subheader {
 height: 53px;
 -webkit-box-shadow: 0 10px 30px 0 rgb(82 63 105 / 3%);
 box-shadow: 0 10px 30px 0 rgb(82 63 105 / 3%);
}

}


.fa, .fab, .fad, .fal, .far, .fas {
/* line-height: 0 !important; */
}

/* SUMMERNOTE Editor */
.note-editor {
 width: 100%;
}

.note-editable p {
 margin-bottom: 4px;
 font-size: 14px; 
}

.note-editing-area { 
 padding-left: 10px;
 padding-top: 7px;
 background-color: var(--form-control-bg);
}

.note-editor .note-editable .table.table-bordered th, .note-editor .note-editable .table.table-bordered td {
 border: 1px solid #b3bad1;	
}

.note-hint-popover {
 min-width:  300px; 
 padding: 2px;
}

.note-hint-popover .popover-content {
 padding: 3px;
 max-height: 500px;
 overflow: auto;
}

.note-dropdown-menu .dropdown-menu > li > a, .dropdown-menu > .dropdown-item {
 display: block;
}

.note-dropdown-menu .dropdown-item {
 padding: 0.4rem 1.25rem;
}

.note-editor .note-toolbar > .note-btn-group, .note-popover .popover-content > .note-btn-group {
 margin-right: 10px;
}

.note-editor .note-toolbar .note-btn-group .btn {
 background: white;
 border: 1px solid #cfd4e2;
}

pre {
 background-color: #1e1e2d;
 padding: 2.15rem 2.5rem;
 border-radius: 0.20rem;
 color: #ffffff;
}

code {
 background-color: #1e1e2d;
 color: #ffffff;
}

pre code {
 color: #ffffff; 
}

.emoji-menu {
 width: 250px;
}

@media all {
.page-break	{
 display: none;
}
}

@media print {
.page-break	{
 display: block;
 page-break-before: always;
}
}

/* OCULTA SPIN CONTROL DEL CAMPO NUMÉRICO */
input::-webkit-outer-spin-button, input::-webkit-inner-spin-button {
-webkit-appearance: none;
 margin: 0;
}

input[type=number] {
-moz-appearance:textfield; /* Firefox */
}

/* KANBAN */
.kanban-board {
 margin:  0px !important;
 padding: 0px !important; 
}

.kanban-item{
 padding: 10px 8px !important;
 margin-bottom: 7px !important;  
}

.kanban-container .kanban-board {
 background-color: var(--form-control-bg) !important;
 border: 1px solid var(--form-control-border) !important; 
}

.kanban-board .kanban-drag {
 padding: 8px !important; 
}

.kanban-container .kanban-board .kanban-board-header {
 padding: 10px 15px !important; 
}

/* MARCA */
.brand {
 background-color: var(--mtop-bg);
 margin-bottom: 1px !important; 
}

.brand .btn .svg-icon svg g [fill] {
 -webkit-transition: fill 0.3s ease;
 transition: fill 0.3s ease;
 fill: var(--item-ico);
}

.brand .btn.active .svg-icon svg g [fill], .brand .btn:hover .svg-icon svg g [fill] {
 -webkit-transition: fill 0.3s ease;
 transition: fill 0.3s ease;
 fill: var(--item-hover-ico);
}

/* NAVEGACIÓN MENU CONFIG */
.navi.navi-active .navi-item .navi-link.active {
 background-color: var(--form-control-bg);
}

.navi.navi-hover .navi-item .navi-link:hover {
 background-color: var(--form-control-bg);	
}

.dropdown-menu.dropdown-menu-md {
 width: 220px; 
}

.nav.nav-tabs.nav-tabs-line .nav-link {
 margin: 0 0.8rem; 
}

/* BARRA */
.aside {				background-color: var(--pane-bg); }
.aside-menu {		background-color: var(--pane-bg); }
.aside-menu-top > div > h5 { color: #494b74; }


.aside-menu .menu-nav > .menu-item > .menu-submenu .menu-subnav > .menu-item > .menu-link {
 padding-left: 45px;
 }

.aside-menu .menu-nav > .menu-item > .menu-submenu .menu-subnav > .menu-item > .menu-submenu .menu-subnav > .menu-item > .menu-link {
 padding-left: 61px;
 }

.aside-menu .menu-nav > .menu-item > .menu-heading, .aside-menu .menu-nav > .menu-item > .menu-link {
 min-height: 32px;	
}

.aside-menu .menu-nav > .menu-item .menu-submenu .menu-item > .menu-heading, .aside-menu .menu-nav > .menu-item .menu-submenu .menu-item > .menu-link {
 min-height: 32px;
}

.aside-menu .menu-nav > .menu-item > .menu-link {
 padding: 6px 25px;	
}

.aside-menu .menu-nav > .menu-item > .menu-heading .menu-icon, .aside-menu .menu-nav > .menu-item > .menu-link .menu-icon {
 font-size: 1.8em;	
}

.aside-menu .menu-nav > .menu-section {
 margin: 15px 0 0 0;
 height: 30px;	
}


/* SECCION */
.aside-menu .menu-nav > .menu-section .menu-text {
 color: var(--item-ico);
}

.aside-menu .menu-nav > .menu-item.menu-item-active > .menu-heading, .aside-menu .menu-nav > .menu-item.menu-item-active > .menu-link {
 background-color: var(--item-selec-bg);	
}

.aside-menu .menu-nav > .menu-item.menu-item-active > .menu-heading .menu-icon, .aside-menu .menu-nav > .menu-item.menu-item-active > .menu-link .menu-icon {
 color: var(--item-selec-ico);	
}

.aside-menu .menu-nav > .menu-item.menu-item-active > .menu-heading, .aside-menu .menu-nav > .menu-item.menu-item-active > .menu-link {
 background-color: var(--item-selec-bg);			
}

.aside-menu .menu-nav > .menu-item .menu-submenu .menu-item.menu-item-active > .menu-heading, .aside-menu .menu-nav > .menu-item .menu-submenu .menu-item.menu-item-active > .menu-link {
 background-color: var(--item-selec-bg);				
}

.aside-menu .menu-nav > .menu-item .menu-submenu .menu-item.menu-item-active > .menu-heading .menu-bullet.menu-bullet-dot > span, .aside-menu .menu-nav > .menu-item .menu-submenu .menu-item.menu-item-active > .menu-link .menu-bullet.menu-bullet-dot > span {
 background-color: var(--item-selec-ico);	
}

.aside-minimize:not(.aside-minimize-hover) .aside-menu .menu-nav > .menu-item.menu-item-here > .menu-link > .menu-icon, .aside-minimize:not(.aside-minimize-hover) .aside-menu .menu-nav > .menu-item.menu-item-active > .menu-link > .menu-icon {
 color: var(--item-hover-ico);		
}

/* ITEM ICONO Y TEXTO */
.aside-menu .menu-nav > .menu-item > .menu-heading .menu-icon, .aside-menu .menu-nav > .menu-item > .menu-link .menu-icon {
 color: var(--item-ico);
}

.aside-minimize .aside-menu .menu-nav > .menu-item > .menu-link > .menu-icon {
 color: var(--item-ico); /* Icono Menu Minimizado */
}

.aside-menu .menu-nav > .menu-section .menu-icon {
 color: var(--item-ico); /* 3 Puntos Menú Minimizado */
}

.aside-menu .menu-nav > .menu-item > .menu-heading .menu-text, .aside-menu .menu-nav > .menu-item > .menu-link .menu-text {
 color: var(--item-txt);
}

/* ITEM HOVER */
.aside-menu .menu-nav > .menu-item:not(.menu-item-parent):not(.menu-item-open):not(.menu-item-here):not(.menu-item-active):hover > .menu-heading .menu-icon, .aside-menu .menu-nav > .menu-item:not(.menu-item-parent):not(.menu-item-open):not(.menu-item-here):not(.menu-item-active):hover > .menu-link .menu-icon {
 color: var(--item-hover-ico); /* Icono */
}

.aside-minimize .aside-menu .menu-nav > .menu-item.menu-item-hover > .menu-link > .menu-icon, .aside-minimize .aside-menu .menu-nav > .menu-item.menu-item-open > .menu-link > .menu-icon {
 color: var(--item-ico); /* Icono Menú Minimizado */
}

.aside-menu .menu-nav > .menu-item:not(.menu-item-parent):not(.menu-item-open):not(.menu-item-here):not(.menu-item-active):hover > .menu-heading, .aside-menu .menu-nav > .menu-item:not(.menu-item-parent):not(.menu-item-open):not(.menu-item-here):not(.menu-item-active):hover > .menu-link {
 background-color: var(--item-hover-bg); /* Fondo */
}

.aside-minimize .aside-menu .menu-nav > .menu-item:hover > .menu-link > .menu-icon {
 color: var(--item-hover-ico) !important; /* Icono Hover Menu minimizado */
}

.aside-menu .menu-nav > .menu-item:not(.menu-item-parent):not(.menu-item-open):not(.menu-item-here):not(.menu-item-active):hover > .menu-heading .menu-text, .aside-menu .menu-nav > .menu-item:not(.menu-item-parent):not(.menu-item-open):not(.menu-item-here):not(.menu-item-active):hover > .menu-link .menu-text {
 color: var(--item-hover-txt);
}

/* DESPLEGABLE ABIERTO */
.aside-menu .menu-nav > .menu-item.menu-item-open > .menu-heading, .aside-menu .menu-nav > .menu-item.menu-item-open > .menu-link {
 background-color: var(--mtop-bg); /* Fondo */
}

.aside-menu .menu-nav > .menu-item.menu-item-open > .menu-heading .menu-icon, .aside-menu .menu-nav > .menu-item.menu-item-open > .menu-link .menu-icon {
 color: var(--item-hover-ico); /* Icono */
}

.aside-menu .menu-nav > .menu-item .menu-submenu .menu-item > .menu-heading .menu-text, .aside-menu .menu-nav > .menu-item .menu-submenu .menu-item > .menu-link .menu-text {
 color: var(--item-txt); /* Texto */
}

.aside-menu .menu-nav > .menu-item .menu-submenu .menu-item > .menu-heading .menu-bullet.menu-bullet-dot > span, .aside-menu .menu-nav > .menu-item .menu-submenu .menu-item > .menu-link .menu-bullet.menu-bullet-dot > span {
 background-color: var(--item-ico); /* Punto */
}

.aside-menu .menu-nav > .menu-item > .menu-heading .menu-arrow, .aside-menu .menu-nav > .menu-item > .menu-link .menu-arrow {
 color: var(--item-ico); /* Flecha */
}

.aside-menu .menu-nav > .menu-item .menu-submenu .menu-item:not(.menu-item-parent):not(.menu-item-open):not(.menu-item-here):not(.menu-item-active):hover > .menu-heading .menu-bullet.menu-bullet-dot > span, .aside-menu .menu-nav > .menu-item .menu-submenu .menu-item:not(.menu-item-parent):not(.menu-item-open):not(.menu-item-here):not(.menu-item-active):hover > .menu-link .menu-bullet.menu-bullet-dot > span {
 background-color: var(--item-hover-ico); /* Punto Hover */
}

.aside-menu .menu-nav > .menu-item .menu-submenu .menu-item:not(.menu-item-parent):not(.menu-item-open):not(.menu-item-here):not(.menu-item-active):hover > .menu-heading, .aside-menu .menu-nav > .menu-item .menu-submenu .menu-item:not(.menu-item-parent):not(.menu-item-open):not(.menu-item-here):not(.menu-item-active):hover > .menu-link {
 background-color: var(--item-hover-bg); /* Fondo Hover */
}


/* DESPLEGABLE CERRADO */
.aside-minimize:not(.aside-minimize-hover) .aside-menu .menu-nav > .menu-item > .menu-link > .menu-icon {
 color: var(--item-ico);	
}

/* MENÚ DE BOTÓN */
.header-menu .menu-nav>.menu-item .menu-submenu>.menu-subnav>.menu-item.menu-item-submenu>.menu-submenu {
 top: -10px;
}

.appicon {
 font-size: 20px; 
}

.header-menu .menu-nav>.menu-item .menu-inner>.menu-item .menu-link .menu-icon, .header-menu .menu-nav>.menu-item .menu-subnav>.menu-item .menu-link .menu-icon {
 flex: 0 0 0px;
}


/* PANEL LATERAL */
.offcanvas {
 width: 460px;
 left: -480px;
}

.offcanvas.offcanvas-right {
 right: -480px;
 left:  auto;
}


/* CARD */
.card-header, .card-body {
 padding: 1rem 1rem;
}

.card.card-custom > .card-header {
 min-height: 50px;	
}

.card.card-custom > .card-body {
 padding: 1rem 0.80rem;	
}

/* CARD TABS */
.card.card-custom > .card-header.card-header-tabs-line .nav .nav-link {
 padding-top: 13px; /* 1rem; */
 padding-bottom: 10px; /* 1rem; */
}

/* TABLAS */
.table {
 margin-bottom: 0px;
}

.table thead th, .table thead td {
 padding-top: 0.7rem;
 padding-bottom: 0.5rem; 
}

.table.table-head-custom thead tr, .table.table-head-custom thead th {
 font-weight: 400;
}

.table-hover tbody tr:hover {
 color: #3F4254;
 background-color: #f3f3f7; /*fafafd*/
}

/* FUENTES */
.font-size-lg {
 font-size: 1.04rem;
}

/* SWEET ALERT */
.swal2-container .swal2-html-container {
 max-height: 800px !important;	
}

.swal2-content {
 margin-top: 0px !important;
 margin-bottom: 0px !important;
 padding: 0px !important;
}

.swal2-actions {
 margin-bottom: 0px !important;	
}


/* BS SEARCH */
.bootstrap-select .bs-actionsbox, .bootstrap-select .bs-donebutton, .bootstrap-select .bs-searchbox {
 padding: 1px 1px 6px 1px !important;
}

.bs-searchbox .form-control {
 padding: 0px 6px 0px 6px !important;
 height: 34px !important;
 color: var(--inet-blue) !important;
}


/* DROPDOWN BOOTSTRAP SELECT */
.bootstrap-select .dropdown-menu.inner>li.selected>a .check-mark, .bootstrap-select .dropdown-menu.inner>li:hover>a .check-mark {
 color: var(--primary) !important; 
}

.bootstrap-select .dropdown-menu.inner>li.selected>a .check-mark:before {
 font-weight: 600;
}


.bootstrap-select .dropdown-menu {
 padding: 6px 6px 6px 6px;
}

.dropdown-menu { 
 -webkit-box-shadow: 0px 0px 40px 0px rgba(80, 80, 80, 0.15);
 box-shadow: 0px 0px 40px 0px rgba(80, 80, 80, 0.15);
}

.bootstrap-select .dropdown-menu.inner > li > a {
 padding: 4px 8px;	
}

.dropdown-menu .inner {
 padding-top: 0px;
 padding-bottom: 0px;	
}

.dropdown-divider {
 height: 0;
 margin: 0.3rem 0; 
}

.bootstrap-select > .dropdown-toggle:after {
 margin-right: 2px !important;
}

.dropdown-toggle.btn:after, .dropdown-toggle.nav-link:after {
 margin-top: 0.25rem;
}

/* Iconos en Bootstrap Select */
.bootstrap-select .dropdown-menu.inner > li > a .bs-icon {
 margin-bottom: 2px; 
 margin-right: 7px; 
}   

.bootstrap-select > .dropdown-toggle.btn-light .filter-option .bs-icon, .bootstrap-select > .dropdown-toggle.btn-secondary .filter-option .bs-icon {
 margin-bottom: 1px;
 margin-right: 6px; 
}

/* Soluciona problema de Metro */
.bootstrap-select .dropdown-menu {
 max-width: unset !important;
}

.bootstrap-select > .dropdown-toggle.btn-light, .bootstrap-select > .dropdown-toggle.btn-secondary {
 background-color: var(--form-control-bg) !important;
 border: 1px solid var(--form-control-border) !important;
}

.bootstrap-select .dropdown-menu.inner > li.selected > a {
 color: var(--form-control-focus-txt);
 background-color: var(--form-control-focus-bg);
}

.bootstrap-select .dropdown-menu.inner > li.selected > a, .bootstrap-select .dropdown-menu.inner > li:hover > a {
 color: var(--form-control-focus-txt);
 background-color: var(--form-control-focus-bg);
}

.bootstrap-select .dropdown-menu.inner > li.active:not(.selected) > a {
 background-color: var(--form-control-focus-bg);
}

.bootstrap-select .dropdown-menu.inner > li.active:not(.selected) > a .bs-icon, .bootstrap-select .dropdown-menu.inner > li.active:not(.selected) > a .text {
 color: var(--form-control-txt);
}

.bootstrap-select > .dropdown-toggle.btn-light .filter-option, .bootstrap-select > .dropdown-toggle.btn-secondary .filter-option {
 color: var(--form-control-txt);
}

.table.table-head-bg thead tr, .table.table-head-bg thead th {
 background-color: #f9f9fb !important;  
}

/* PALETA DE COLORES */
.inet-red         { color: var(--inet-red)          !important; }
.inet-pink        { color: var(--inet-pink)         !important; }
.inet-purple      { color: var(--inet-purple)       !important; }
.inet-deep-purple { color: var(--inet-deep-purple)  !important; }
.inet-indigo      { color: var(--inet-indigo)       !important; }
.inet-blue        { color: var(--inet-blue)         !important; }
.inet-cyan        { color: var(--inet-cyan)         !important; }
.inet-turquoise   { color: var(--inet-turquoise)    !important; }
.inet-teal        { color: var(--inet-teal)         !important; }
.inet-green       { color: var(--inet-green)        !important; }
.inet-green-light { color: var(--inet-green-light)  !important; }
.inet-lime        { color: var(--inet-lime)         !important; }
.inet-yellow      { color: var(--inet-yellow)       !important; }
.inet-amber       { color: var(--inet-amber)        !important; }
.inet-orange      { color: var(--inet-orange)       !important; }
.inet-deep-orange { color: var(--inet-deep-orange)  !important; }
.inet-brown       { color: var(--inet-brown)        !important; }
.inet-grey        { color: var(--inet-grey)         !important; }
.inet-grey-light  { color: var(--inet-grey-light)   !important; }
.inet-grey-blue   { color: var(--inet-grey-blue)    !important; }
.inet-black       { color: var(--inet-black)        !important; }
.inet-white       { color: var(--inet-white)        !important; }


.inet-red-bg         { background-color: var(--inet-red)          !important; }
.inet-pink-bg        { background-color: var(--inet-pink)         !important; }
.inet-purple-bg      { background-color: var(--inet-purple)       !important; }
.inet-deep-purple-bg { background-color: var(--inet-deep-purple)  !important; }
.inet-indigo-bg      { background-color: var(--inet-indigo)       !important; }
.inet-blue-bg        { background-color: var(--inet-blue)         !important; }
.inet-cyan-bg        { background-color: var(--inet-cyan)         !important; }
.inet-turquoise-bg   { background-color: var(--inet-turquoise)    !important; }
.inet-teal-bg        { background-color: var(--inet-teal)         !important; }
.inet-green-bg       { background-color: var(--inet-green)        !important; }
.inet-green-light-bg { background-color: var(--inet-green-light)  !important; }
.inet-lime-bg        { background-color: var(--inet-lime)         !important; }
.inet-yellow-bg      { background-color: var(--inet-yellow)       !important; }
.inet-amber-bg       { background-color: var(--inet-amber)        !important; }
.inet-orange-bg      { background-color: var(--inet-orange)       !important; }
.inet-deep-orange-bg { background-color: var(--inet-deep-orange)  !important; }
.inet-brown-bg       { background-color: var(--inet-brown)        !important; }
.inet-grey-bg        { background-color: var(--inet-grey)         !important; }
.inet-grey-light-bg  { background-color: var(--inet-grey-light)   !important; }
.inet-grey-blue-bg   { background-color: var(--inet-grey-blue)    !important; }
.inet-black-bg       { background-color: var(--inet-black)        !important; }
.inet-white-bg       { background-color: var(--inet-white)        !important; }


.navi .navi-item .navi-cfg:hover {
 color: #a8abbd !important;
}

.navi .navi-item .navi-cfg:hover {
 color: #a8abbd !important;
}

.navi .navi-item .navi-cfg {
 color: #a8abbd !important;
}

.navi .navi-item .navi-cfg {
 color: #a8abbd !important;
}

.mark, mark {
 padding: 0em;
 background-color: #fff78c;
}